function validateDirectoryName(source: string): string {
    var dst = source.replace(/</g, '_');
    dst = dst.replace(/>/g, '_');
    dst = dst.replace(/:/g, '_');
    dst = dst.replace(/"/g, '_');
    dst = dst.replace(/\//g, '_');
    dst = dst.replace(/\\/g, '_');
    dst = dst.replace(/\|/g, '_');
    dst = dst.replace(/\?/g, '_');
    dst = dst.replace(/\*/g, '_');
    return dst;
}
